{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "(gdb) dm-cli",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/dm-cli",
            "args": [ "--address", 
            "https://testnet-dm2.bitdeals.org", 
            "--debug", 
            "account", "update", 
            "-d", "2020-01-01", 
            "-s", "IEF1ysyhu8ps0m5xSJaZZg/5hBylmcWQQggkGO7yNN8iMf/EA2O287kxi58xCDDtxvdsC0TWqylVE5MT5CouamU=", 
            "--pgp", "$PGP", 
            "mnumHs9HQMrw2Q1iKLNnx9NzExS7nMLmyp"],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        }

    ]
}